# Copyright 2009-2012, Descartes Research Group, SDQ, IPD, KIT

pluginName = Adaptation Edit Support
providerName = www.example.org

_UI_CreateChild_text = {0}
_UI_CreateChild_text2 = {1} {0}
_UI_CreateChild_text3 = {1}
_UI_CreateChild_tooltip = Create New {0} Under {1} Feature
_UI_CreateChild_description = Create a new child of type {0} for the {1} feature of the selected {2}.
_UI_CreateSibling_description = Create a new sibling of type {0} for the selected {2}, under the {1} feature of their parent.

_UI_PropertyDescriptor_description = The {0} of the {1}

_UI_Strategy_type = Strategy
_UI_WeightingFunction_type = Weighting Function
_UI_WeightedTactic_type = Weighted Tactic
_UI_Objective_type = Objective
_UI_Tactic_type = Tactic
_UI_AbstractControlFlowElement_type = Abstract Control Flow Element
_UI_Start_type = Start
_UI_Stop_type = Stop
_UI_Loop_type = Loop
_UI_Branch_type = Branch
_UI_ActionReference_type = Action Reference
_UI_AdaptationPlan_type = Plan
_UI_Event_type = Event
_UI_Action_type = Action
_UI_Repository_type = Repository
_UI_OverallGoal_type = Overall Goal
_UI_Parameter_type = Parameter
_UI_Unknown_type = Object

_UI_Unknown_datatype= Value

_UI_Strategy_objective_feature = Objective
_UI_Strategy_triggeringEvents_feature = Triggering Events
_UI_Strategy_tactics_feature = Tactics
_UI_Strategy_weightingFunction_feature = Weighting Function
_UI_WeightingFunction_function_feature = Function
_UI_WeightedTactic_uses_feature = Uses
_UI_WeightedTactic_weight_feature = Weight
_UI_Objective_specification_feature = Specification
_UI_Tactic_implementedPlan_feature = Implemented Plan
_UI_Tactic_inputParams_feature = Input Params
_UI_Tactic_outputParam_feature = Output Param
_UI_AbstractControlFlowElement_predecessor_feature = Predecessor
_UI_AbstractControlFlowElement_successor_feature = Successor
_UI_Loop_counter_feature = Counter
_UI_Loop_body_feature = Body
_UI_Branch_condition_feature = Condition
_UI_Branch_branches_feature = Branches
_UI_ActionReference_refersTo_feature = Refers To
_UI_AdaptationPlan_steps_feature = Steps
_UI_Event_triggers_feature = Triggers
_UI_Action_outputParam_feature = Output Param
_UI_Action_inputParams_feature = Input Params
_UI_Action_referredAdaptationPoint_feature = Referred Adaptation Point
_UI_Repository_tactics_feature = Tactics
_UI_Repository_actions_feature = Actions
_UI_Repository_strategies_feature = Strategies
_UI_Repository_parameters_feature = Parameters
_UI_OverallGoal_hasObjective_feature = Has Objective
_UI_OverallGoal_description_feature = Description
_UI_Parameter_name_feature = Name
_UI_Parameter_type_feature = Type
_UI_Unknown_feature = Unspecified

_UI_StaRepository_type = Sta Repository
_UI_StaRepository_tactics_feature = Tactics
_UI_StaRepository_actions_feature = Actions
_UI_StaRepository_strategies_feature = Strategies
_UI_StaRepository_parameters_feature = Parameters
_UI_WeightedTactic_currentWeight_feature = Current Weight
_UI_WeightedTactic_defaultWeight_feature = Default Weight
_UI_WeightedTactic_usedTactic_feature = Used Tactic
_UI_Action_operationType_feature = Operation Type
_UI_StartAction_type = Start Action
_UI_StopAction_type = Stop Action
_UI_LoopAction_type = Loop Action
_UI_BranchAction_type = Branch Action
_UI_LoopAction_counter_feature = Counter
_UI_LoopAction_body_feature = Body
_UI_BranchAction_condition_feature = Condition
_UI_BranchAction_branches_feature = Branches
_UI_WeightedMetric_type = Weighted Metric
_UI_WeightingFunction_weightedMetrics_feature = Weighted Metrics
_UI_WeightingFunction_calculatedImpact_feature = Calculated Impact
_UI_WeightedMetric_value_feature = Value
_UI_WeightedMetric_weightForMetric_feature = Weight For Metric
_UI_WeightedTactic_lastImpact_feature = Last Impact
_UI_StaRepository_goal_feature = Goal
_UI_OverallGoal_objectives_feature = Objectives
_UI_WeightedMetric_weight_feature = Weight
_UI_WeightedMetric_metricType_feature = Metric Type
_UI_AdaptationProcess_type = Process
_UI_AdaptationProcess_tactics_feature = Tactics
_UI_AdaptationProcess_actions_feature = Actions
_UI_AdaptationProcess_strategies_feature = Strategies
_UI_AdaptationProcess_parameters_feature = Parameters
_UI_AdaptationProcess_goal_feature = Goal
_UI_BranchAction_trueBranch_feature = True Branch
_UI_BranchAction_falseBranch_feature = False Branch
_UI_BranchAction_conditionTrueBranch_feature = Condition True Branch
_UI_BranchAction_conditionFalseBranch_feature = Condition False Branch
_UI_BranchAction_context_feature = Context
_UI_AdaptationOperation_NOT_SET_literal = NOT_SET
_UI_AdaptationOperation_SCALE_UP_literal = SCALE_UP
_UI_AdaptationOperation_SCALE_DOWN_literal = SCALE_DOWN
_UI_AdaptationOperation_SCALE_OUT_literal = SCALE_OUT
_UI_AdaptationOperation_SCALE_IN_literal = SCALE_IN
_UI_AdaptationOperation_MIGRATE_literal = MIGRATE
_UI_AdaptationOperation_LEAST_UTILIZED_FIRST_literal = LEAST_UTILIZED_FIRST
_UI_AdaptationOperation_MOST_UTILIZED_FIRST_literal = MOST_UTILIZED_FIRST
_UI_AdaptationOperation_RANDOM_literal = RANDOM
_UI_Action_adaptationActionScope_feature = Adaptation Action Scope
_UI_Action_adaptationActionDirection_feature = Adaptation Action Direction
_UI_AdaptationScope_ALL_literal = ALL
_UI_AdaptationScope_LEAST_UTILIZED_FIRST_literal = LEAST_UTILIZED_FIRST
_UI_AdaptationScope_MOST_UTILIZED_FIRST_literal = MOST_UTILIZED_FIRST
_UI_AdaptationScope_RANDOM_literal = RANDOM
_UI_AdaptationDirection_NOT_SET_literal = NOT_SET
_UI_AdaptationDirection_INCREASE_literal = INCREASE
_UI_AdaptationDirection_DECREASE_literal = DECREASE
_UI_AdaptationDirection_MIGRATE_literal = MIGRATE
_UI_AdaptationDirection_ANY_literal = ANY
_UI_Action_adaptationOperation_feature = Adaptation Operation
_UI_AdaptationOperation_ALL_literal = ALL
_UI_AdaptationOperation_type = Operation
_UI_AdaptationOperation_adaptationActionScope_feature = Adaptation Action Scope
_UI_AdaptationOperation_adaptationActionDirection_feature = Adaptation Action Direction
_UI_Parameter_NOT_SET_literal = NOT_SET
_UI_Parameter_SCALE_UP_literal = SCALE_UP
_UI_Parameter_SCALE_DOWN_literal = SCALE_DOWN
_UI_Parameter_SCALE_OUT_literal = SCALE_OUT
_UI_Parameter_SCALE_IN_literal = SCALE_IN
_UI_Parameter_MIGRATE_literal = MIGRATE
_UI_Parameter_LEAST_UTILIZED_FIRST_literal = LEAST_UTILIZED_FIRST
_UI_Parameter_MOST_UTILIZED_FIRST_literal = MOST_UTILIZED_FIRST
_UI_Parameter_RANDOM_literal = RANDOM
_UI_AdaptationActionOperation_type = Action Operation
_UI_Action_adaptationActionOperation_feature = Adaptation Action Operation
_UI_AdaptationActionOperation_adaptationOperationScope_feature = Adaptation Operation Scope
_UI_AdaptationActionOperation_adaptationOperationDirection_feature = Adaptation Operation Direction
_UI_AdaptationScope_NOT_SET_literal = NOT_SET
_UI_AdaptationScope_THIS_literal = THIS
_UI_WeightedTactic_parentStrategy_feature = Parent Strategy
_UI_Specification_type = Specification
_UI_Specification_metricType_feature = Metric Type
_UI_Specification_value_feature = Value
_UI_Specification_operator_feature = Operator
_UI_Specification_relationalOperator_feature = Relational Operator
_UI_RelationalOperator_EQUAL_literal = EQUAL
_UI_RelationalOperator_NOT_EQUAL_literal = NOT_EQUAL
_UI_RelationalOperator_GREATER_literal = GREATER
_UI_RelationalOperator_GREATER_EQUAL_literal = GREATER_EQUAL
_UI_RelationalOperator_LESS_literal = LESS
_UI_RelationalOperator_LESS_EQUAL_literal = LESS_EQUAL
_UI_Objective_specifications_feature = Specifications
